> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Recheck a pack now

> Re-classify the newest approved version and re-resolve its items as
the pack's owner. Owner, stewards or a registry admin.



## OpenAPI

````yaml post /api/registry/context/packs/{artifact_id}/recheck
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/registry/context/packs/{artifact_id}/recheck:
    post:
      tags:
        - Context packs
      summary: Recheck a pack now
      description: |-
        Re-classify the newest approved version and re-resolve its items as
        the pack's owner. Owner, stewards or a registry admin.
      operationId: recheck_pack_api_registry_context_packs__artifact_id__recheck_post
      parameters:
        - name: artifact_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The context pack's artifact ID.
            title: Artifact Id
          description: The context pack's artifact ID.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackHealthResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    PackHealthResponse:
      properties:
        artifact_id:
          type: string
          format: uuid
          title: Artifact Id
        version_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Version Id
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        sensitivity:
          anyOf:
            - type: string
            - type: 'null'
          title: Sensitivity
        submitted_sensitivity:
          anyOf:
            - type: string
            - type: 'null'
          title: Submitted Sensitivity
        sensitivity_sources:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Sensitivity Sources
        rose_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Rose At
        health:
          anyOf:
            - type: string
              enum:
                - ok
                - stale
                - broken
            - type: 'null'
          title: Health
        checked_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Checked At
        items:
          items:
            $ref: '#/components/schemas/ItemHealth'
          type: array
          title: Items
        pending_candidates:
          type: integer
          title: Pending Candidates
          default: 0
      type: object
      required:
        - artifact_id
      title: PackHealthResponse
      description: A pack version's sensitivity and the state of its items.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    ItemHealth:
      properties:
        item_id:
          type: string
          title: Item Id
        title:
          type: string
          title: Title
        type:
          type: string
          title: Type
        priority:
          type: string
          title: Priority
        status:
          type: string
          title: Status
        reason:
          anyOf:
            - type: string
            - type: 'null'
          title: Reason
        at:
          anyOf:
            - type: string
            - type: 'null'
          title: At
        last_ok_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Ok At
      type: object
      required:
        - item_id
        - title
        - type
        - priority
        - status
      title: ItemHealth
      description: One item's latest resolution.
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.